COL(1)

NAZWA
col - filtruje z wejścia znaki cofnięcia o wiersz

SKŁADNIA

col opcje

OPIS

Narzędzie użytkowe col filtruje znaki cofnięcia o wiersz (i o pół wiersza), tak że wyjście jest poprawnie uporządkowane i zawiera wyłącznie znaki wysuwu i połowy wysuwu do nowego wiersza. Gdzie jest to możliwe wymienia również spacje na znaki tabulacji. Może to być przydatne przy przetwarzaniu wyjścia z nroff(1) i tbl(1).

col czyta ze standardowego wejścia i zapisuje na standardowe wyjście.

OPCJE

-b, --no-backspaces
    Nie wysyła na wyjście znaków backspace, wypisując dla każdej pozycji (kolumny) wyłącznie ostatni znak w niej zapisany.

-f, --fine
    Dozwolone są wysuwy o połowę wiersza. Zwykle znaki występujące na granicy połowy wiersza wypisywane są w następnym wierszu.

-h, --tabs
    Wysyła na wyjście tabulatory, zamiast wielokrotnych spacji.

-l, --lines liczba
    Buforuje w pamięci co najmniej liczbę wierszy. Domyślnie buforowanych jest 128 wierszy.

-p, --pass
    Wymusza niezmienianie nieznanych sekwencji sterujących. Zwykle col odfiltruje z wejścia wszystkie sekwencje sterujące różne od tych wymienionych poniżej, które rozpoznaje i obsługuje.

-x, --spaces
    Wysyła na wyjście wielokrotne spacje, zamiast znaków tabulacji.

-H, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

ZGODNE Z

Narzędzie col jest zgodne z normą Single UNIX Specification, w wersji 2. Opcja -l jest rozszerzeniem standardu.

UWAGI

Sekwencje sterujące ruchem karetki, rozumiane przez col oraz ich wartości dziesiętne podano w poniższej tabeli:

ESC-7
    cofnięcie o wiersz (reverse line feed) (escape, potem 7)

ESC-8
    cofnięcie o połowę wiersza (half reverse line feed) (escape, potem 8)

ESC-9
    wysuw do przodu o połowę wiersza (half forward line feed (escape, potem 9)

backspace
    cofnięcie o jedną kolumnę (8); ignorowane w pierwszej kolumnie

newline
    wysuw wiersza (forward line feed) (10); wykonuje również powrót karetki

powrót karetki
    (13)

shift in
    przełącza na normalny zestaw znaków (15)

shift out
    przełącza na alternatywny zestaw znaków (14)

spacja
    przesuwa do przodu o jedną kolumnę (32)

tabulator
    przesuwa do przodu na następną pozycję tabulacji (9)

vertical tab
    cofnięcie o wiersz (11)

Wszystkie nierozpoznane znaki sterujące i sekwencje specjalne są odrzucane.

col zapamiętuje zestaw znaków podczas ich czytania i upewnia się, że zestaw ten jest poprawny, gdy są one wysyłane na wyjście.

Jeśli wejście usiłuje powrócić do ostatniego, opróżnionego już z bufora na wyjście wiersza, col wyświetli komunikat ostrzegawczy.

HISTORIA

Polecenie col pojawiło się w wersji 6 AT&T UNIX.

ZOBACZ TAKŻE

expand(1), nroff(1), tbl(1)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie col jest częścią pakietu util-linux, który można pobrać ze strony